package org.gnu.glib;

import org.gnu.gtk.event.GtkEvent;

/**
 * Represents a particular type of an event. Each {@link GtkEvent} has an
 * associated type.
 */
public class EventType {
    /** Event type identifier */
    private int id;

    /**
     * Name for the event type. This is used in the event#toString method.
     */
    private String name;

    /**
     */
    public int getID() {
        return id;
    }

    /**
     */
    public String getName() {
        return name;
    }

    /**
     * Constructs a new event type
     * 
     * @param typeID
     *            Type Identifier
     * @param typeName
     *            String to be displayed as part of the event.toString method.
     */
    public EventType(int typeID, String typeName) {
        id = typeID;
        name = typeName;
    }
}
